2018-09-20 07:10 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005366Talermechant backendpublic2018-09-15 11:06
ReporterMarcello Stanisci 
Assigned ToMarcello Stanisci 
PrioritynoneSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target Version0.6Fixed in Version0.6 
Summary0005366: Need payment generator for corner cases.
DescriptionThe current payment generator does very ordinary things right now: it is a tool to measure performance, and so no weird scenarios are created by it. However,
to conduct better testing -- especially for the backoffice site -- weird scenarios are wanted!

Just to mention a few, (1) unaggregated payments, and (2) multiple-coins payments are such weird scenarios. Therefore, another payment generator that would generate those scenarios should be introduced.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
related to 0005365resolvedMarcello Stanisci Caching results makes testing difficult. 
+Relationships

-Notes

~0013085

Marcello Stanisci (manager)

Hint: running the aggregator on time t will always cause unaggregated transactions from time t-x to be aggregated, therefore making them lose
their meaning. This can be countered by setting a very future refund_deadline
on those transactions that need to stay unaggregated.

~0013087

Marcello Stanisci (manager)

7305041 implements the "alt" payment generator. Setting refund_deadline and wire_transfer_delay as "/forever/" does not seem to have the desired effect.

To be further investigated.

~0013107

Marcello Stanisci (manager)

0d2b620 implements unaggregable payments and 2-coins payments. The issue stays open as a reminder that 'more' corner cases can be inserted in the tool.

~0013115

Marcello Stanisci (manager)

Dropping priority to 'none' as the bug is just a wish-list now.

~0013125

Marcello Stanisci (manager)

Since _any_ corner case is interesting, then we close this to keep Mantis clean. As soon as a new corner case turns to te useful for some testing purpose, we'll just file a new dedicate bug for it.
+Notes

-Issue History
Date Modified Username Field Change
2018-06-26 15:21 Marcello Stanisci New Issue
2018-06-26 15:21 Marcello Stanisci Status new => assigned
2018-06-26 15:21 Marcello Stanisci Assigned To => Marcello Stanisci
2018-06-26 15:26 Marcello Stanisci Relationship added child of 0004930
2018-06-26 15:27 Marcello Stanisci Relationship added related to 0005365
2018-06-26 16:03 Marcello Stanisci Note Added: 0013085
2018-06-27 16:12 Marcello Stanisci Note Added: 0013087
2018-06-28 21:42 Marcello Stanisci Note Added: 0013107
2018-06-29 12:02 Marcello Stanisci Relationship deleted child of 0004930
2018-06-29 12:52 Marcello Stanisci Priority normal => none
2018-06-29 12:52 Marcello Stanisci Note Added: 0013115
2018-06-29 15:18 Marcello Stanisci Target Version 0.6 =>
2018-07-02 10:50 Marcello Stanisci Status assigned => resolved
2018-07-02 10:50 Marcello Stanisci Resolution open => fixed
2018-07-02 10:50 Marcello Stanisci Note Added: 0013125
2018-09-15 11:06 Christian Grothoff Fixed in Version => 0.6
2018-09-15 11:06 Christian Grothoff Target Version => 0.6
+Issue History